Get a specific piece of data

Get a specific piece of data using its unique identifier.

Distri will check the path for a match with the identifier regex that is configured for this tenant, regardless of what is in the rest of the path.

For example, if the identifier regex is ^[0-9a-fA-F]{8}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{4}\b-[0-9a-fA-F]{12}$ (a regex for a UUIDv4) and the external base URI is example.com/storage/, Distri will match the following:

  • https://example.com/storage/906f5484-7d1a-4327-9df5-3ba44a50c337
  • https://example.com/storage/sdlkfjqsdmlkf/906f5484-7d1a-4327-9df5-3ba44a50c337

But not the following:

  • https://example.com/906f5484-7d1a-4327-9df5-3ba44a50c337
  • https://example.com/blabla/906f5484-7d1a-4327-9df5-3ba44a50c337
Path Params
string
required
Headers
string
required

A DPoP bound Solid JWT token containing at least three claims: sub, azp and iss.

string
required

The DPoP proof for the Solid JWT token, endpoint and http method.

string

A comma separated list of URIs that identify the purposes for which data is being read. For example https://dbpedia.org/marketing/, https://dbpedia.org/direct-mailing/. Depending on the tenant, this field can be required or not.

string

Distri does not take into account the value of the accept header as it does not support content negotiation. Clients should handle different types of content themselves.

string

If provided, this string will be set as the value of the X-Request-ID response header.

string

If provided, this string will be set as the value of the X-Correlation-ID response header.

string

If provided, this value will be used in the reponse to enable cross origin resource sharing.

string
Responses

x_correlation_id_invalid
x_request_id_invalid
purpose_header_required_but_not_present
purpose_header_invalid
origin_header_not_valid

401

Unauthorized

403

Forbidden

404

Not Found

origin_server_not_available
origin_server_status_code_xxx
multiple_matches_for_external_path_pattern

conditional_http_requests_not_yet_supported

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
*/*
application/json